FreeMat

- Main Page
- Related Pages

vtkImageResample

Section: Visualization Toolkit Imaging Classes

# Usage

This filter produces an output with different spacing (and extent) than the input. Linear interpolation can be used to resample the data. The Output spacing can be set explicitly or relative to input spacing with the SetAxisMagnificationFactor method.

To create an instance of class vtkImageResample, simply invoke its constructor as follows

      obj = vtkImageResample

# Methods

The class vtkImageResample has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageResample class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageResample = obj.NewInstance ()`
- `vtkImageResample = obj.SafeDownCast (vtkObject o)`
- `obj.SetAxisOutputSpacing (int axis, double spacing)` - Set desired spacing. Zero is a reserved value indicating spacing has not been set.
- `obj.SetAxisMagnificationFactor (int axis, double factor)` - Set/Get Magnification factors. Zero is a reserved value indicating values have not been computed.
- `double = obj.GetAxisMagnificationFactor (int axis, vtkInformation inInfo)` - Set/Get Magnification factors. Zero is a reserved value indicating values have not been computed.
- `obj.SetDimensionality (int )` - Dimensionality is the number of axes which are considered during execution. To process images dimensionality would be set to 2. This has the same effect as setting the magnification of the third axis to 1.0
- `int = obj.GetDimensionality ()` - Dimensionality is the number of axes which are considered during execution. To process images dimensionality would be set to 2. This has the same effect as setting the magnification of the third axis to 1.0